class VgkAboutUsModel {
  VgkAboutUsModel({
    this.title,
    this.data,
  });

  String title;
  List<VgkAboutUsModelDetail> data;

  VgkAboutUsModel copyWith({
    String title,
    List<VgkAboutUsModelDetail> details,
  }) =>
      VgkAboutUsModel(
        title: title ?? this.title,
        data: details ?? this.data,
      );

  factory VgkAboutUsModel.fromMap(Map<String, dynamic> json) => VgkAboutUsModel(
        title: json["title"] == null ? "" : json["title"],
        data: json["data"] == null
            ? []
            : List<VgkAboutUsModelDetail>.from(
                json["data"].map((x) => VgkAboutUsModelDetail.fromMap(x))),
      );
}

class VgkAboutUsModelDetail {
  VgkAboutUsModelDetail({
    this.value,
  });

  String value;

  VgkAboutUsModelDetail copyWith({
    String value,
  }) =>
      VgkAboutUsModelDetail(
        value: value ?? this.value,
      );

  factory VgkAboutUsModelDetail.fromMap(Map<String, dynamic> json) =>
      VgkAboutUsModelDetail(
        value: json["value"] == null ? "" : json["value"],
      );
}
