import 'package:vgkprogaming/model/vgk-map-content.dart';

class VgkMapDetail {
  VgkMapDetail({
    this.title,
    this.contents,
  });

  String title;
  List<VgkMapContent> contents;

  VgkMapDetail copyWith({
    String title,
    List<VgkMapContent> contents,
  }) =>
      VgkMapDetail(
        title: title ?? this.title,
        contents: contents ?? this.contents,
      );

  factory VgkMapDetail.fromMap(Map<String, dynamic> json) => VgkMapDetail(
        title: json["title"] == null ? "" : json["title"],
        contents: json["contents"] == null
            ? []
            : List<VgkMapContent>.from(
                json["contents"].map((x) => VgkMapContent.fromMap(x))),
      );
}
