class VgkMapElement {
  VgkMapElement({
    this.key,
    this.value,
  });

  String key;
  String value;

  VgkMapElement copyWith({
    String key,
    String value,
  }) =>
      VgkMapElement(
        key: key ?? this.key,
        value: value ?? this.value,
      );

  factory VgkMapElement.fromMap(Map<String, dynamic> json) => VgkMapElement(
        key: json["key"] == null ? "" : json["key"],
        value: json["value"] == null ? "" : json["value"],
      );
}
