class VgkCardVerticalTopBottomContentModel {
  VgkCardVerticalTopBottomContentModel({
    this.map,
    this.title,
    this.key,
    this.value,
    this.topContent,
    this.bottomContent,
  });

  String map;
  String title;
  String key;
  String value;
  List<VgkCardVerticalTopBottomSubContentModel> topContent;
  List<VgkCardVerticalTopBottomSubContentModel> bottomContent;

  VgkCardVerticalTopBottomContentModel copyWith({
    String map,
    String title,
    String key,
    String value,
    List<VgkCardVerticalTopBottomSubContentModel> topContent,
    List<VgkCardVerticalTopBottomSubContentModel> bottomContent,
  }) =>
      VgkCardVerticalTopBottomContentModel(
        map: map ?? this.map,
        title: title ?? this.title,
        key: key ?? this.key,
        value: value ?? this.value,
        topContent: topContent ?? this.topContent,
        bottomContent: bottomContent ?? this.bottomContent,
      );

  factory VgkCardVerticalTopBottomContentModel.fromMap(
          Map<String, dynamic> json) =>
      VgkCardVerticalTopBottomContentModel(
        map: json["map"] == null ? "" : json["map"],
        title: json["title"] == null ? "" : json["title"],
        key: json["key"] == null ? "" : json["key"],
        value: json["value"] == null ? "" : json["value"],
        topContent: json["topContent"] == null
            ? []
            : List<VgkCardVerticalTopBottomSubContentModel>.from(
                json["topContent"].map(
                    (x) => VgkCardVerticalTopBottomSubContentModel.fromMap(x))),
        bottomContent: json["bottomContent"] == null
            ? []
            : List<VgkCardVerticalTopBottomSubContentModel>.from(
                json["bottomContent"].map(
                    (x) => VgkCardVerticalTopBottomSubContentModel.fromMap(x))),
      );
}

class VgkCardVerticalTopBottomSubContentModel {
  VgkCardVerticalTopBottomSubContentModel({
    this.key,
    this.value,
  });

  String key;
  String value;

  VgkCardVerticalTopBottomSubContentModel copyWith({
    String key,
    String value,
  }) =>
      VgkCardVerticalTopBottomSubContentModel(
        key: key ?? this.key,
        value: value ?? this.value,
      );

  factory VgkCardVerticalTopBottomSubContentModel.fromMap(
          Map<String, dynamic> json) =>
      VgkCardVerticalTopBottomSubContentModel(
        key: json["key"] == null ? "" : json["key"],
        value: json["value"] == null ? "" : json["value"],
      );
}
